/*
 * $Id: OptimizeException.java,v 1.4 2006/02/21 13:16:51 akabane Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.search;

/**
 * 検索条件最適化処理に失敗した場合の例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class OptimizeException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -8354887734276118800L;
	/**
	 * コンストラクタ
	 */
	public OptimizeException() {
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public OptimizeException(String msg) {
		super(msg);
	}
}
